{% extends 'base.html' %}

{% macro render_forum(forum) -%}
	<section class="forum-wrapper">
		<div class="forum-name-desc">
			<h3>
				<a href="{{ url_for('forum.view', id_=forum['id']) }}">
					{{ forum["name"] }}
				</a>
			</h3>
			{% if forum["description"] %}
				<p class="text-secondary">{{ forum["description"] }}</p>
			{% endif %}
		</div>

		<div class="forum-counters">
			<div>
				{% if forum["thread_count"] == 0 %}
					<span class="text-secondary">
						{{ gettext("No threads") }}
					</span>
				{% else %}
					{{ forum["thread_count"]|human_number }}
					<span class="text-secondary">
						{{ ngettext("Thread", "Threads", forum["thread_count"]) }}
					</span>
				{% endif %}
			</div>
			{% if forum["thread_count"] != 0 %}
				<div>
					{% if forum["post_count"] == 0 %}
						<span class="text-secondary">
							{{ gettext("No posts") }}
						</span>
					{% elif forum["thread_count"] != 0 %}
						{{ forum["post_count"]|human_number }}
						<span class="text-secondary">
							{{ ngettext("Post", "Posts", forum["post_count"]) }}
						</span>
					{% endif %}
				</div>
			{% endif %}
		</div>

		<div class="forum-latest-thread">
			{% if forum["$latest_thread"] %}
				<div>
					<div>
						<a href="#">
							{{ forum["$latest_thread"]["name"] }}
						</a>
					</div>
					<div class="text-secondary">
						{{ forum["$latest_thread"]["creation_timestamp"]|isotime_difference }}
					</div>
				</div>
				<a href="{{ url_for('user.view', id_=forum['$latest_thread']['user_id']) }}">
					<img
						width="50"
						src="{{ url_for('user.view_avatar', id_=forum['$latest_thread']['user_id']) }}"
						alt="{{ gettext('Thread author\'s avatar') }}"
					>
				 </a>
			{% else %}
				<span class="forum-no-threads text-secondary">
					{{ gettext("No threads") }}
				</span>
			{% endif %}
		</div>
	</section>
{%- endmacro %}

{% block current_name %}{{ gettext("Forums") }}{% endblock %}

{% block head %}<link
	rel="stylesheet"
	href="{{ url_for('static', filename='css/forum_list.css') }}"
>
<script type="application/ld+json">
	{% for object in raw_forums_and_categories %}
		{{ object }}
	{% endfor %}
</script>{% endblock %}

{% block content %}
	{% for category in categories %}
		<section class="window main-center">
			<h2>{{ category["name"] }}</h2>
			{% if category["description"] %}
				<p>{{ category["description"] }}</p>
			{% endif %}
			<hr>

			{% if category["forums"]|length != 0 %}
				{% for forum in category["forums"] %}
					{{ render_forum(forum) }}
				{% endfor %}
			{% else %}
				<span class="text-secondary">
					{{ gettext("No forums") }}
				</span>
			{% endif %}
		</section>
	{% endfor %}

	{% if uncategorized_forums|length != 0 %}
		<section class="window main-center">
			{% if categories|length != 0 %}
				<h2>{{ gettext("Uncategorized") }}</h2>
				<hr>
			{% endif %}

			{% for forum in uncategorized_forums %}
				{{ render_forum(forum) }}
			{% endfor %}
		</section>
	{% endif %}
{% endblock %}
